Subject: RE: [Sip] Binary Encoding for SIP

From: "George Foti (QC/EMC)" <[email-masked]>
Date: Sun, 15 Feb 2004 16:26:55 -0600

Is SIGCOMP not good enough.
Rgds/gf

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of neil
quiogue
Sent: Sunday, February 15, 2004 4:07 PM
To: Marc Petit-Huguenin
Cc: [email-masked]
Subject: Re: [Sip] Binary Encoding for SIP

I think what Cullen is proposing is to only send one type of MIME body part 
encoding (i.e., binary) instead of having multiple possible MIME encoding 
as specified on RFC3261/7.1.4.

Regards, Neil

--On dimanche 15 février 2004 09:03 -0800 Marc Petit-Huguenin 
<[email-masked]> wrote:

> I thought that binary body was already supported: RFC3261 section 7.4.1,
> third paragraph.
>
> Cullen Jennings wrote:
>>
>> I submitted a draft on binary encoding for SIP. This improves
>> interoperability, improves speed, decreases sizes of messages, and
>> generally makes life better for SIP which will no doubt eventually help
>> with World Hunger. I need feedback, please let me know:
>>
>> a) Yah, lets do it
>>
>> b) No this is a stupid ideas and here are the reasons why
>>
>> c) There has not been many list comments, this draft involves some very
>> complex issues. I need a year or two to develop an opinion on the single
>> sentence inside it.
>>
>> d) I agree with Cowboy Willis
>>
>> Until it arrives in the archives, you can find it at
>>
>> http://www.employees.org/~fluffy/ietf/draft-jennings-sip-mime-01.html
>>
>> or, if you prefer ASCII encodings of everything,
>>
>> www.employees.org/~fluffy/ietf/draft-jennings-sip-mime-01.txt
>>
>> Thanks, Cullen
>>
>>
>
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

This communication is confidential and intended solely for the addressee(s). Any unauthorized review, use, disclosure or distribution is prohibited. If you believe this message has been sent to you in error, please notify the sender by replying to this transmission and delete the message without disclosing it. Thank you.

E-mail including attachments is susceptible to data corruption, interruption, unauthorized amendment, tampering and viruses, and we only send and receive e-mails on the basis that we are not liable for any such corruption, interception, amendment, tampering or viruses or any consequences thereof.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Bryan Thale <[email-masked]>
Date: Fri, 20 Feb 2004 11:41:49 -0600

>
>
>So I take if you would be happy to see is say that things SHOULD send binary
>but need to be prepared to receive anything.
>  
>

Yep.

Bryan.

-- 
Bryan Thale
Networks & Infrastructure Research, Motorola Labs
mailto:[email-masked]